Name: x11-driver-video-dummy
Version: 0.4.0
Release: %mkrel 2
Summary: The X.org dummy video driver
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://www.x.org/releases/individual/driver/xf86-video-dummy-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
This is a dummy video driver for X.org.

%prep
%setup -q -n xf86-video-dummy-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/dummy_drv.so




%changelog
* Mon Feb 13 2023 ghibo <ghibo> 0.4.0-2.mga9
+ Revision: 1941142
- Rebuild for aging

* Tue Apr 26 2022 luigiwalser <luigiwalser> 0.4.0-1.mga9
+ Revision: 1854448
- 0.4.0
- update source URL

* Fri Apr 01 2022 umeabot <umeabot> 0.3.8-6.mga9
+ Revision: 1837983
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 0.3.8-5.mga9
+ Revision: 1751698
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.3.8-4.mga8
+ Revision: 1518484
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.8-3.mga7
+ Revision: 1301752
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 0.3.8-2.mga7
+ Revision: 1207708
- rebuild for xserver 1.20 RC1

* Thu Jan 05 2017 tv <tv> 0.3.8-1.mga6
+ Revision: 1080199
- new release

* Thu Nov 17 2016 tv <tv> 0.3.7-14.mga6
+ Revision: 1067733
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.3.7-13.mga6
+ Revision: 1043236
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.3.7-12.mga6
+ Revision: 963382
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.3.7-11.mga6
+ Revision: 902292
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.3.7-10.mga6
+ Revision: 902051
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.3.7-9.mga6
+ Revision: 836007
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.3.7-8.mga5
+ Revision: 741404
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.7-7.mga5
+ Revision: 690427
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.3.7-6.mga5
+ Revision: 635011
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.3.7-5.mga5
+ Revision: 633669
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.3.7-4.mga5
+ Revision: 614362
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.3.7-3.mga5
+ Revision: 582310
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.3.7-2.mga4
+ Revision: 534389
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 tv <tv> 0.3.7-1.mga4
+ Revision: 477782
- new release
- drop patch 0 (merged)

* Thu May 30 2013 tv <tv> 0.3.6-5.mga4
+ Revision: 433147
- submit to core/release

* Fri May 24 2013 tv <tv> 0.3.6-4.mga4
+ Revision: 426007
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 385980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.3.6-2.mga3
+ Revision: 288956
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.3.6-1.mga3
+ Revision: 273756
- new release

* Wed Jun 06 2012 tmb <tmb> 0.3.5-4.mga3
+ Revision: 256386
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.3.5-3.mga3
+ Revision: 253006
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.3.5-2.mga3
+ Revision: 249882
- rebuild for new X.org server

* Fri Jan 06 2012 tv <tv> 0.3.5-1.mga2
+ Revision: 192698
- new release

* Tue Dec 06 2011 tmb <tmb> 0.3.4-6.mga2
+ Revision: 177550
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.3.4-5.mga2
+ Revision: 153116
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.3.4-4.mga1
+ Revision: 64392
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.3.4-3.mga1
+ Revision: 50204
- imported package x11-driver-video-dummy


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2011.0
+ Revision: 595731
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.3.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Thu Jul 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.3.4-1mdv2011.0
+ Revision: 557061
- New version: 0.3.4

* Tue Dec 01 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.3.3-1mdv2010.1
+ Revision: 472434
- New version: 0.3.3

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.3.2-1mdv2010.0
+ Revision: 391862
- update to version 0.3.2

* Mon Jan 26 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 333669
- new release
- fix group

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.0-3mdv2009.1
+ Revision: 308215
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.3.0-2mdv2009.0
+ Revision: 265912
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.3.0-1mdv2009.0
+ Revision: 194209
- Update to version 0.3.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0-7mdv2008.1
+ Revision: 165534
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0-6mdv2008.1
+ Revision: 156603
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0-5mdv2008.1
+ Revision: 154861
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0-4mdv2008.1
+ Revision: 98690
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2008.0
+ Revision: 75758
- rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

